#2 - 05/24/2022 12:15 PM - Constantin Asofiei

- Priority changed from Normal to High

Ovidiu, please take this one next:

def temp-table tt1 serialize-name "table1" field f1 as int serialize-name "field1".

def dataset ds1 serialize-name "dataset1" for tt1.

create tt1.

tt1.f1 = 10.

dataset ds1:write-json("file", "a.json").

dataset ds1:empty-dataset().

dataset ds1:read-json("file", "a.json").

find first tt1.

message tt1.f1.

 

At least the dataset and temp-table at READ-JSON is not using the serialize-name.

#3 - 05/24/2022 02:08 PM - Ovidiu Maxiniuc

- Status changed from New to WIP
#4 - 05/24/2022 03:28 PM - Ovidiu Maxiniuc

- Status changed from WIP to Review

- % Done changed from 0 to 100

Fixed reading a dataset/table with explicit serialize-name attribute.

Committed revision 13877.

#5 - 05/25/2022 04:52 AM - Constantin Asofiei

Ovidiu, the JSON keys and XML elements AFAIK are case-sensitive.  In TempTableSchema.columns, the names are lower-cased.  This doesn't

seem right.

Please do some tests with 2 fields having Field1 and field1 as serialize-name and xml-node-name.

#6 - 05/25/2022 04:23 PM - Ovidiu Maxiniuc

Actually, they are not. At least when they are read. But when they are serialized, the exact serialize-name is used. So, for example, if we have the

above temp table tt1 and then another tt2 with serialize-name "Table1", they will appear as such in the JSON file. However, when reading, all the

records will be stored in @tt1 (assuming they have the same structure so no other error are encountered)!

More than that, validation name for fields, tables and datasets is performed case-insensitive.

Committed to 6129a as revision 13881.

#7 - 06/01/2022 04:36 PM - Constantin Asofiei

- Status changed from Review to Test
